locked
.NET Standard Library RRS feed

  • Question

  • Is there a timeframe for DocDb libraries which target .NET standard?
    Monday, March 20, 2017 6:13 PM

Answers

All replies

  • The DocumentDB .NET Core SDK targets .NET Standard 1.6.

    Release notes and links to download are here: https://docs.microsoft.com/en-us/azure/documentdb/documentdb-sdk-dotnet-core

    Monday, March 20, 2017 7:46 PM
  • How difficult would it be for you guys to target 1.5 or 1.4 instead? Right now v1.6 is the only version which can't be targeted by the full .NET framework. We really want to be able to switch to .NET standard for our libraries, but right now we can't because we have a DocDb dependency, and need to be able to support the full .NET framework.
    Friday, March 31, 2017 5:55 PM
  • I will investigate and get back to you.
    Sunday, April 2, 2017 9:30 PM
  • 1.5 would be greatly appreciated, as it could be re-used by .net framework 4.6.2 entry points, as opposed to requiring .net core/.net framework 4.7 (for which the runtime still isn't released)
    Wednesday, April 12, 2017 11:05 PM
  • So this is on our roadmap, but won't be released in the immediate future.
    Thursday, April 13, 2017 7:58 PM
  • Hi Mimi,

    Thanks for the response. To be blunt, if it's not going to be in the immediate future, there's almost no point. .NET 4.7 supports netstandard 1.6, and as it's an in-place upgrade to 4.6.1 and 4.6.2, for people looking for .NET compatibility that's more than likely going to be a viable option. I'm sure that there will be some who can't upgrade to 4.7, and would like to target netstandard, but I'm guessing that's a VERY small target audience.

    Thursday, April 13, 2017 8:40 PM